Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

ocs and point tyrans

15 REPLIES 15
Reply
Message 1 of 16
Anonymous
236 Views, 15 Replies

ocs and point tyrans

I have a lisp that makes a line poly (closed)

(defun jddmakealinepoly ( pt_list layr / n ptx )
(setq pt_list (jddtrans pt_list 1 0))
(jddsetcurlayer layr)
(setq ed (list '(0 . "LWPOLYLINE")
'(100 . "AcDbEntity")
(cons 8 layr)
'(100 . "AcDbPolyline")
(cons 90 (length pt_list))
)
ptx nil
)
(foreach n pt_list
(setq ptx (cons (cons 10 (list (car n) (cadr n))) ptx))
)
(setq ed (append ed ptx))
(entmake ed)
)

the functiin jddtrans simply translates a list of points. this polyline
will work in wcs - but won't for otyher ucs's . any ideas on ocs
transformation would help. also the ins_pt and all point calcs are done in
world before using this function - which translates the point list from ucs
to world. any ideas?


--
Princess Jamie
15 REPLIES 15
Message 2 of 16
EC-CAD
in reply to: Anonymous

Jamie,
Look into the function (trans ..
or search this group for 'trans'

Bob
Message 3 of 16
Anonymous
in reply to: Anonymous

as I stated before,I am translating the points from ucs to world. This
works if the it's a ucs which is simply a dview twist however if I am in
3d ucs it fails miserably. I think it has to do with ocs and I'm not sure
how to ocs without an entity as this is a call to entmake.

--
Princess Jamie


wrote in message news:5137770@discussion.autodesk.com...
Jamie,
Look into the function (trans ..
or search this group for 'trans'

Bob
Message 4 of 16
EC-CAD
in reply to: Anonymous

Sorry,
Didn't read your post closely.
No clues here.
Bob
Message 5 of 16
BillZ
in reply to: Anonymous

>>the functiin jddtrans simply translates a list of points.<<<

How are you aquiring/determining these points?

>>>this polyline will work in wcs - but won't for otyher ucs's.<<<
Wouldn't this be setting the points to the wcs?
(setq pt_list (jddtrans pt_list 1 0))

>>>any ideas on ocs transformation would help.<<<

OCS requires a transformation matrix or vla function "TranslateCoordinates and the normal property"

>>>also the ins_pt and all point calcs are done in
world before using this function - which translates the point list from ucs to world. any ideas?<<<

Again, how are you aquiring these point to begin with?

Bill
Message 6 of 16
Anonymous
in reply to: Anonymous

the points are derived from polar to a 'default' insertion point thus all
cals are in ucs. because I am using entmake I thought that I needed to
translate to wcs and now I see that the normal vector is needed.

I have no experience with this - any ideas?

--
Princess Jamie


wrote in message news:5137789@discussion.autodesk.com...
>>the functiin jddtrans simply translates a list of points.<<<

How are you aquiring/determining these points?

>>>this polyline will work in wcs - but won't for otyher ucs's.<<<
Wouldn't this be setting the points to the wcs?
(setq pt_list (jddtrans pt_list 1 0))

>>>any ideas on ocs transformation would help.<<<

OCS requires a transformation matrix or vla function "TranslateCoordinates
and the normal property"

>>>also the ins_pt and all point calcs are done in
world before using this function - which translates the point list from ucs
to world. any ideas?<<<

Again, how are you aquiring these point to begin with?

Bill
Message 7 of 16
Anonymous
in reply to: Anonymous

Try changing to a UCS that's not parallel to the WCS,
and use the PLINE command to draw a lwpolyline.

The, do an (entget (entlast)) and look at the last
element in the returned list.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"Jamie Duncan" wrote in message news:5137777@discussion.autodesk.com...
the points are derived from polar to a 'default' insertion point thus all
cals are in ucs. because I am using entmake I thought that I needed to
translate to wcs and now I see that the normal vector is needed.

I have no experience with this - any ideas?

--
Princess Jamie


wrote in message news:5137789@discussion.autodesk.com...
>>the functiin jddtrans simply translates a list of points.<<<

How are you aquiring/determining these points?

>>>this polyline will work in wcs - but won't for otyher ucs's.<<<
Wouldn't this be setting the points to the wcs?
(setq pt_list (jddtrans pt_list 1 0))

>>>any ideas on ocs transformation would help.<<<

OCS requires a transformation matrix or vla function "TranslateCoordinates
and the normal property"

>>>also the ins_pt and all point calcs are done in
world before using this function - which translates the point list from ucs
to world. any ideas?<<<

Again, how are you aquiring these point to begin with?

Bill
Message 8 of 16
BillZ
in reply to: Anonymous

If the points are extracted from an entity, you can use the ename in the trans function to convey the OCS.

(trans pt ename 1) will return a point from the entity UCS to the current UCS (or WCS).

If you are taking a point and translating it to another ucs that is not the current one, then the matter becomes quite a bit more complicated and would best be done using vla objects.
Message 9 of 16
Anonymous
in reply to: Anonymous

ah, a hint from the master...

I will look at it this evening - when I'm not pushing a job out the door.

Thanks

--
Princess Jamie


"Tony Tanzillo" wrote in message
news:5137833@discussion.autodesk.com...
Try changing to a UCS that's not parallel to the WCS,
and use the PLINE command to draw a lwpolyline.

The, do an (entget (entlast)) and look at the last
element in the returned list.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"Jamie Duncan" wrote in message
news:5137777@discussion.autodesk.com...
the points are derived from polar to a 'default' insertion point thus all
cals are in ucs. because I am using entmake I thought that I needed to
translate to wcs and now I see that the normal vector is needed.

I have no experience with this - any ideas?

--
Princess Jamie


wrote in message news:5137789@discussion.autodesk.com...
>>the functiin jddtrans simply translates a list of points.<<<

How are you aquiring/determining these points?

>>>this polyline will work in wcs - but won't for otyher ucs's.<<<
Wouldn't this be setting the points to the wcs?
(setq pt_list (jddtrans pt_list 1 0))

>>>any ideas on ocs transformation would help.<<<

OCS requires a transformation matrix or vla function "TranslateCoordinates
and the normal property"

>>>also the ins_pt and all point calcs are done in
world before using this function - which translates the point list from ucs
to world. any ideas?<<<

Again, how are you aquiring these point to begin with?

Bill
Message 10 of 16
Anonymous
in reply to: Anonymous

the issue is using entmake to create a new lwpolyline in a non-parrallel ucs (to wcs)

--
Princess Jamie,

Life shrinks or expands in proportion to one's courage.
- Anais Nin

wrote in message news:5137905@discussion.autodesk.com...
If the points are extracted from an entity, you can use the ename in the trans function to convey the OCS.

(trans pt ename 1) will return a point from the entity UCS to the current UCS (or WCS).

If you are taking a point and translating it to another ucs that is not the current one, then the matter becomes quite a bit more
complicated and would best be done using vla objects.
Message 11 of 16
Anonymous
in reply to: Anonymous

Hey Tony

so I found a quick and dirty way of doing it - create a pline using vl-cmdf - obtain the 210 normal and use the entity name to
transform the points

somehow I should be able to do this by getting the normal from ucsxdir, ucsydir, and ucsaxisang etc and using a trans matrix to
convert the points. not knowing the arbitrary axis theorem though makes that beyond me now...any vlisp possibilities?

Thanks

--
Princess Jamie,

Life shrinks or expands in proportion to one's courage.
- Anais Nin

"Tony Tanzillo" wrote in message news:5137833@discussion.autodesk.com...
Try changing to a UCS that's not parallel to the WCS,
and use the PLINE command to draw a lwpolyline.

The, do an (entget (entlast)) and look at the last
element in the returned list.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"Jamie Duncan" wrote in message news:5137777@discussion.autodesk.com...
the points are derived from polar to a 'default' insertion point thus all
cals are in ucs. because I am using entmake I thought that I needed to
translate to wcs and now I see that the normal vector is needed.

I have no experience with this - any ideas?

--
Princess Jamie


wrote in message news:5137789@discussion.autodesk.com...
>>the functiin jddtrans simply translates a list of points.<<<

How are you aquiring/determining these points?

>>>this polyline will work in wcs - but won't for otyher ucs's.<<<
Wouldn't this be setting the points to the wcs?
(setq pt_list (jddtrans pt_list 1 0))

>>>any ideas on ocs transformation would help.<<<

OCS requires a transformation matrix or vla function "TranslateCoordinates
and the normal property"

>>>also the ins_pt and all point calcs are done in
world before using this function - which translates the point list from ucs
to world. any ideas?<<<

Again, how are you aquiring these point to begin with?

Bill
Message 12 of 16
Anonymous
in reply to: Anonymous

The UCS Z-axis normal is the cross product of the
UCS X and Y axes (UCSXDIR and UCSYDIR sysvars):

; (vector-cross )
;
; Returns the cross product of vectors v1 and v2.

(defun vector-cross (v1 v2)
(list (- (* (cadr v1)
(caddr v2))
(* (cadr v2)
(caddr v1)))
(- (* (caddr v1)
(car v2))
(* (caddr v2)
(car v1)))
(- (* (car v1)
(cadr v2))
(* (car v2)
(cadr v1)))
)
)



--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"PJ" wrote in message news:5138332@discussion.autodesk.com...
Hey Tony

so I found a quick and dirty way of doing it - create a pline using vl-cmdf - obtain the 210 normal and use the entity name to
transform the points

somehow I should be able to do this by getting the normal from ucsxdir, ucsydir, and ucsaxisang etc and using a trans matrix to
convert the points. not knowing the arbitrary axis theorem though makes that beyond me now...any vlisp possibilities?

Thanks

--
Princess Jamie,

Life shrinks or expands in proportion to one's courage.
- Anais Nin

"Tony Tanzillo" wrote in message news:5137833@discussion.autodesk.com...
Try changing to a UCS that's not parallel to the WCS,
and use the PLINE command to draw a lwpolyline.

The, do an (entget (entlast)) and look at the last
element in the returned list.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"Jamie Duncan" wrote in message news:5137777@discussion.autodesk.com...
the points are derived from polar to a 'default' insertion point thus all
cals are in ucs. because I am using entmake I thought that I needed to
translate to wcs and now I see that the normal vector is needed.

I have no experience with this - any ideas?

--
Princess Jamie


wrote in message news:5137789@discussion.autodesk.com...
>>the functiin jddtrans simply translates a list of points.<<<

How are you aquiring/determining these points?

>>>this polyline will work in wcs - but won't for otyher ucs's.<<<
Wouldn't this be setting the points to the wcs?
(setq pt_list (jddtrans pt_list 1 0))

>>>any ideas on ocs transformation would help.<<<

OCS requires a transformation matrix or vla function "TranslateCoordinates
and the normal property"

>>>also the ins_pt and all point calcs are done in
world before using this function - which translates the point list from ucs
to world. any ideas?<<<

Again, how are you aquiring these point to begin with?

Bill
Message 13 of 16
Anonymous
in reply to: Anonymous

very nice - I'd have had to dig out my old linear algebra book - it's been
25 years since I loast looked at it..

Now the question - does this verctor cross product allow me to transform the
points into ocs? I need to z set to 0, and I know with ocs it's through the
origin - so no shift, but there must be the rotation of ucs about the z - or
is ocs always with 0 degree rotation?


--
Princess Jamie


"Tony Tanzillo" wrote in message
news:5138767@discussion.autodesk.com...
The UCS Z-axis normal is the cross product of the
UCS X and Y axes (UCSXDIR and UCSYDIR sysvars):

; (vector-cross )
;
; Returns the cross product of vectors v1 and v2.

(defun vector-cross (v1 v2)
(list (- (* (cadr v1)
(caddr v2))
(* (cadr v2)
(caddr v1)))
(- (* (caddr v1)
(car v2))
(* (caddr v2)
(car v1)))
(- (* (car v1)
(cadr v2))
(* (car v2)
(cadr v1)))
)
)



--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"PJ" wrote in message
news:5138332@discussion.autodesk.com...
Hey Tony

so I found a quick and dirty way of doing it - create a pline using
vl-cmdf - obtain the 210 normal and use the entity name to
transform the points

somehow I should be able to do this by getting the normal from ucsxdir,
ucsydir, and ucsaxisang etc and using a trans matrix to
convert the points. not knowing the arbitrary axis theorem though makes
that beyond me now...any vlisp possibilities?

Thanks

--
Princess Jamie,

Life shrinks or expands in proportion to one's courage.
- Anais Nin

"Tony Tanzillo" wrote in message
news:5137833@discussion.autodesk.com...
Try changing to a UCS that's not parallel to the WCS,
and use the PLINE command to draw a lwpolyline.

The, do an (entget (entlast)) and look at the last
element in the returned list.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"Jamie Duncan" wrote in message
news:5137777@discussion.autodesk.com...
the points are derived from polar to a 'default' insertion point thus all
cals are in ucs. because I am using entmake I thought that I needed to
translate to wcs and now I see that the normal vector is needed.

I have no experience with this - any ideas?

--
Princess Jamie


wrote in message news:5137789@discussion.autodesk.com...
>>the functiin jddtrans simply translates a list of points.<<<

How are you aquiring/determining these points?

>>>this polyline will work in wcs - but won't for otyher ucs's.<<<
Wouldn't this be setting the points to the wcs?
(setq pt_list (jddtrans pt_list 1 0))

>>>any ideas on ocs transformation would help.<<<

OCS requires a transformation matrix or vla function "TranslateCoordinates
and the normal property"

>>>also the ins_pt and all point calcs are done in
world before using this function - which translates the point list from ucs
to world. any ideas?<<<

Again, how are you aquiring these point to begin with?

Bill
Message 14 of 16
Anonymous
in reply to: Anonymous

Yes, the (trans) function accepts a Z-axis vector for the
or arguments. So, you can use the WCS
(0) for the argument, and the result of the call
to vector-cross as the argument.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"Jamie Duncan" wrote in message news:5138807@discussion.autodesk.com...
very nice - I'd have had to dig out my old linear algebra book - it's been
25 years since I loast looked at it..

Now the question - does this verctor cross product allow me to transform the
points into ocs? I need to z set to 0, and I know with ocs it's through the
origin - so no shift, but there must be the rotation of ucs about the z - or
is ocs always with 0 degree rotation?


--
Princess Jamie


"Tony Tanzillo" wrote in message
news:5138767@discussion.autodesk.com...
The UCS Z-axis normal is the cross product of the
UCS X and Y axes (UCSXDIR and UCSYDIR sysvars):

; (vector-cross )
;
; Returns the cross product of vectors v1 and v2.

(defun vector-cross (v1 v2)
(list (- (* (cadr v1)
(caddr v2))
(* (cadr v2)
(caddr v1)))
(- (* (caddr v1)
(car v2))
(* (caddr v2)
(car v1)))
(- (* (car v1)
(cadr v2))
(* (car v2)
(cadr v1)))
)
)



--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"PJ" wrote in message
news:5138332@discussion.autodesk.com...
Hey Tony

so I found a quick and dirty way of doing it - create a pline using
vl-cmdf - obtain the 210 normal and use the entity name to
transform the points

somehow I should be able to do this by getting the normal from ucsxdir,
ucsydir, and ucsaxisang etc and using a trans matrix to
convert the points. not knowing the arbitrary axis theorem though makes
that beyond me now...any vlisp possibilities?

Thanks

--
Princess Jamie,

Life shrinks or expands in proportion to one's courage.
- Anais Nin

"Tony Tanzillo" wrote in message
news:5137833@discussion.autodesk.com...
Try changing to a UCS that's not parallel to the WCS,
and use the PLINE command to draw a lwpolyline.

The, do an (entget (entlast)) and look at the last
element in the returned list.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"Jamie Duncan" wrote in message
news:5137777@discussion.autodesk.com...
the points are derived from polar to a 'default' insertion point thus all
cals are in ucs. because I am using entmake I thought that I needed to
translate to wcs and now I see that the normal vector is needed.

I have no experience with this - any ideas?

--
Princess Jamie


wrote in message news:5137789@discussion.autodesk.com...
>>the functiin jddtrans simply translates a list of points.<<<

How are you aquiring/determining these points?

>>>this polyline will work in wcs - but won't for otyher ucs's.<<<
Wouldn't this be setting the points to the wcs?
(setq pt_list (jddtrans pt_list 1 0))

>>>any ideas on ocs transformation would help.<<<

OCS requires a transformation matrix or vla function "TranslateCoordinates
and the normal property"

>>>also the ins_pt and all point calcs are done in
world before using this function - which translates the point list from ucs
to world. any ideas?<<<

Again, how are you aquiring these point to begin with?

Bill
Message 15 of 16
Anonymous
in reply to: Anonymous

that's what I was thinkin' - very sweet Tony! thanks for your help.

--
Princess Jamie


"Tony Tanzillo" wrote in message
news:5138867@discussion.autodesk.com...
Yes, the (trans) function accepts a Z-axis vector for the
or arguments. So, you can use the WCS
(0) for the argument, and the result of the call
to vector-cross as the argument.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"Jamie Duncan" wrote in message
news:5138807@discussion.autodesk.com...
very nice - I'd have had to dig out my old linear algebra book - it's been
25 years since I loast looked at it..

Now the question - does this verctor cross product allow me to transform the
points into ocs? I need to z set to 0, and I know with ocs it's through the
origin - so no shift, but there must be the rotation of ucs about the z - or
is ocs always with 0 degree rotation?


--
Princess Jamie


"Tony Tanzillo" wrote in message
news:5138767@discussion.autodesk.com...
The UCS Z-axis normal is the cross product of the
UCS X and Y axes (UCSXDIR and UCSYDIR sysvars):

; (vector-cross )
;
; Returns the cross product of vectors v1 and v2.

(defun vector-cross (v1 v2)
(list (- (* (cadr v1)
(caddr v2))
(* (cadr v2)
(caddr v1)))
(- (* (caddr v1)
(car v2))
(* (caddr v2)
(car v1)))
(- (* (car v1)
(cadr v2))
(* (car v2)
(cadr v1)))
)
)



--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"PJ" wrote in message
news:5138332@discussion.autodesk.com...
Hey Tony

so I found a quick and dirty way of doing it - create a pline using
vl-cmdf - obtain the 210 normal and use the entity name to
transform the points

somehow I should be able to do this by getting the normal from ucsxdir,
ucsydir, and ucsaxisang etc and using a trans matrix to
convert the points. not knowing the arbitrary axis theorem though makes
that beyond me now...any vlisp possibilities?

Thanks

--
Princess Jamie,

Life shrinks or expands in proportion to one's courage.
- Anais Nin

"Tony Tanzillo" wrote in message
news:5137833@discussion.autodesk.com...
Try changing to a UCS that's not parallel to the WCS,
and use the PLINE command to draw a lwpolyline.

The, do an (entget (entlast)) and look at the last
element in the returned list.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"Jamie Duncan" wrote in message
news:5137777@discussion.autodesk.com...
the points are derived from polar to a 'default' insertion point thus all
cals are in ucs. because I am using entmake I thought that I needed to
translate to wcs and now I see that the normal vector is needed.

I have no experience with this - any ideas?

--
Princess Jamie


wrote in message news:5137789@discussion.autodesk.com...
>>the functiin jddtrans simply translates a list of points.<<<

How are you aquiring/determining these points?

>>>this polyline will work in wcs - but won't for otyher ucs's.<<<
Wouldn't this be setting the points to the wcs?
(setq pt_list (jddtrans pt_list 1 0))

>>>any ideas on ocs transformation would help.<<<

OCS requires a transformation matrix or vla function "TranslateCoordinates
and the normal property"

>>>also the ins_pt and all point calcs are done in
world before using this function - which translates the point list from ucs
to world. any ideas?<<<

Again, how are you aquiring these point to begin with?

Bill
Message 16 of 16
Anonymous
in reply to: Anonymous

well I finally cleared my desk and got back to this - works like a charm Tony!

thanks

--
Princess Jamie,

Life shrinks or expands in proportion to one's courage.
- Anais Nin

"Tony Tanzillo" wrote in message news:5138867@discussion.autodesk.com...
Yes, the (trans) function accepts a Z-axis vector for the
or arguments. So, you can use the WCS
(0) for the argument, and the result of the call
to vector-cross as the argument.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"Jamie Duncan" wrote in message news:5138807@discussion.autodesk.com...
very nice - I'd have had to dig out my old linear algebra book - it's been
25 years since I loast looked at it..

Now the question - does this verctor cross product allow me to transform the
points into ocs? I need to z set to 0, and I know with ocs it's through the
origin - so no shift, but there must be the rotation of ucs about the z - or
is ocs always with 0 degree rotation?


--
Princess Jamie


"Tony Tanzillo" wrote in message
news:5138767@discussion.autodesk.com...
The UCS Z-axis normal is the cross product of the
UCS X and Y axes (UCSXDIR and UCSYDIR sysvars):

; (vector-cross )
;
; Returns the cross product of vectors v1 and v2.

(defun vector-cross (v1 v2)
(list (- (* (cadr v1)
(caddr v2))
(* (cadr v2)
(caddr v1)))
(- (* (caddr v1)
(car v2))
(* (caddr v2)
(car v1)))
(- (* (car v1)
(cadr v2))
(* (car v2)
(cadr v1)))
)
)



--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"PJ" wrote in message
news:5138332@discussion.autodesk.com...
Hey Tony

so I found a quick and dirty way of doing it - create a pline using
vl-cmdf - obtain the 210 normal and use the entity name to
transform the points

somehow I should be able to do this by getting the normal from ucsxdir,
ucsydir, and ucsaxisang etc and using a trans matrix to
convert the points. not knowing the arbitrary axis theorem though makes
that beyond me now...any vlisp possibilities?

Thanks

--
Princess Jamie,

Life shrinks or expands in proportion to one's courage.
- Anais Nin

"Tony Tanzillo" wrote in message
news:5137833@discussion.autodesk.com...
Try changing to a UCS that's not parallel to the WCS,
and use the PLINE command to draw a lwpolyline.

The, do an (entget (entlast)) and look at the last
element in the returned list.

--
http://www.caddzone.com

AcadXTabs: MDI Document Tabs for AutoCAD 2004/2005/2006/2007
http://www.acadxtabs.com

"Jamie Duncan" wrote in message
news:5137777@discussion.autodesk.com...
the points are derived from polar to a 'default' insertion point thus all
cals are in ucs. because I am using entmake I thought that I needed to
translate to wcs and now I see that the normal vector is needed.

I have no experience with this - any ideas?

--
Princess Jamie


wrote in message news:5137789@discussion.autodesk.com...
>>the functiin jddtrans simply translates a list of points.<<<

How are you aquiring/determining these points?

>>>this polyline will work in wcs - but won't for otyher ucs's.<<<
Wouldn't this be setting the points to the wcs?
(setq pt_list (jddtrans pt_list 1 0))

>>>any ideas on ocs transformation would help.<<<

OCS requires a transformation matrix or vla function "TranslateCoordinates
and the normal property"

>>>also the ins_pt and all point calcs are done in
world before using this function - which translates the point list from ucs
to world. any ideas?<<<

Again, how are you aquiring these point to begin with?

Bill

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost